Subject: Re: Customer Service Advisor - Work From Home - Phone Support - Arlene Pangilinan applied on Indeed
From: "Arlene Pangilinan" <[email-masked]>
To: CHERRY E COMMERCE SERVICES P LTD <[email-masked]>
Date: Tue, 10 Jan 2023 09:26:32 -0600 (CST)

Hi Pritish, I am really sorry if I missed this message. I was sick for few days. Can we reschedule the interview? Thank you! Arlene

Suspect spam or fraud?
Report this message to Indeed <https://www.indeed.com/feedback?contentId=%3C9ae22c42-3cff-415e-b169-2a0f84254a14%40indeedemail.com%3E&hl=en_PH&co=PH>

Indeed processes and analyzes your activity in this email.

By replying or using an indeedemail.com email address, you agree that messages will be processed and analyzed according to Indeed’s Cookie Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#cookies>, Privacy Policy <https://www.indeed.com/legal?hl=en&amp;co=PH#privacy>, and Terms of Service <https://www.indeed.com/legal?hl=en&amp;co=PH#tos>.